### Name: Independence E-test
### Title: Energy Statistic Tests of Independence
### Aliases: indep.e indep.etest
### Keywords: htest multivariate

### ** Examples


 ## independent univariate data
 x <- sin(runif(30, 0, 2*pi) * 2)
 y <- sin(runif(30, 0, 2*pi) * 4)
 indep.etest(x, y, R = 99)

 ## dependent univariate data
 u <- runif(30, 0, 2*pi)
 x <- sin(2 * u)
 y <- sin(3 * u)
 indep.etest(x, y, R = 99)
 
 u <- runif(50, 0, 2*pi)
 x <- sin(2 * u)
 y <- sin(4 * u)
 indep.etest(x, y, R = 99)
 
 ## independent multivariate data
 x <- matrix(rnorm(60), nrow=20, ncol=3)
 y <- matrix(rnorm(40), nrow=20, ncol=2)
 indep.e(x, y)
 indep.etest(x, y, R = 99)
 
 ## independent bivariate data
 x <- matrix(rnorm(50), nrow=25, ncol=2)
 y <- matrix(rnorm(50), nrow=25, ncol=2)
 indep.e(x, y)
 indep.etest(x, y, R = 99)
 
 ## dependent bivariate data
 library(MASS)
 Sigma <- matrix(c(1, .5, .5, 1), 2, 2)
 x <- mvrnorm(30, c(0, 0), Sigma)
 indep.etest(x[,1], x[,2], R = 99)
 
 ## dependent multivariate data
 Sigma <- matrix(c(1, .1, 0, 0 , 1, 0, 0 ,.1, 1), 3, 3)
 x <- mvrnorm(30, c(0, 0, 0), diag(3))
 y <- mvrnorm(30, c(0, 0, 0), Sigma) * x
 indep.etest(x, y, R = 99)



